/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 后台中的banner信息;对应 /agent/api/v1/front/banner
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Banner implements Serializable {
    // 总会员数
    private Integer totalMembers;

    // 注册会员数
    private Integer registerMembers;

    // 活跃会员数
    private Integer activeMembers;

    // 净输赢金额负数表示亏损
    private BigDecimal netWinLose;

    // 净输赢金额
    private BigDecimal unlimitedNetWinLose;

    // 佣金等级
    private Integer commissionLevel;

    // 无限制的佣金等级
    private Integer unlimitedCommissionLevel;

    // 首次存款的会员数
    private Integer firstDepositNum;

    // 利润金额负数表示亏损
    private BigDecimal profit;

    // 有效新会员数
    private Integer effectiveNew;

    // 存款增长百分比
    private BigDecimal depositIncrease;

    // 注册增长百分比
    private BigDecimal registerIncrease;
}
