/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp.team;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TeamFinanceSum {
    private Integer subordinateUserCountSum;  // 下属用户数量总和
    private Integer activeSum;  // 活跃总和
    private BigDecimal netProfitSum;  // 净利润总和
    private BigDecimal lastBalanceSum;  // 上一次余额总和
    private BigDecimal czProfitSum;  // 调整后利润总和
    private BigDecimal rate;  // 费率
    private BigDecimal correctionSum;  // 修正总和
    private BigDecimal repCorrectionSum;  // 重复修正总和
    private BigDecimal commissionSum;  // 佣金总和
    private BigDecimal vipSpecialCommissionSum;  // VIP特殊佣金总和
    private BigDecimal repairNetProfit;  // 修正后的净利润
    private Integer commissionStatus;  // 佣金状态
    private String agentName;  // 代理名称
    private Integer effectiveNewSum;  // 有效新用户总和
    private BigDecimal handlingFee;  // 手续费
    private Integer partnershipProfit;  // 合作利润
    private Integer lotteryBetSum;  // 彩票投注总和
    private BigDecimal rebateRateSum;  // 回扣率总和
    private BigDecimal lotteryCommissionSum;  // 彩票佣金总和
    private BigDecimal negativeProfitCommissionSum;  // 负利润佣金总和
    private BigDecimal negativeProfitRateSum;  // 负利润率总和
    private BigDecimal costRateSum;  // 成本率总和
    private BigDecimal costMoneySum;  // 成本金额总和
    private BigDecimal profitSum;  // 利润总和
    private BigDecimal thirdPartySpendSum;  // 第三方支出总和
    private BigDecimal promoSum;  // 促销总和
    private BigDecimal rebateSum;  // 回扣总和
    private BigDecimal riskAdjustSum;  // 风险调整总和

}
